Name:           kleansweep
Version:        0.2.9
Release:        %mkrel 4
Epoch:          0
Summary:        Reclaim disk space by finding unneeded files
License:        GPL
Group:          System/Configuration/Other
URL:            http://linux.bydg.org/~yogin/
Source0:        http://linux.bydg.org/~yogin/kleansweep-%{version}.tar.bz2
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick
BuildRequires:  kdebase-devel
BuildRequires:  qt3-devel
BuildRequires:  scons
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
KleanSweep allows you to reclaim disk space by finding unneeded files. 
It can search for files basing on several criterias; you can seek for:

    * empty files
    * backup files
    * broken symbolic links
    * dead menu entries (.desktop files pointing to non-existing 
      executables)
    * duplicated files
    * orphaned files (files not found in RPM database)
    * obsolete thumbnails (thumbnails conforming to freedesktop.org 
      standard, pointing to non-existing images

%prep
%setup -q

%{__cat} > %{name}.desktop << EOF
[Desktop Entry]
Name=Kleansweep
Comment=Reclaim disk space by finding unneeded files
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Monitoring;
EOF

%build
export CXXFLAGS="%{optflags}"
export QTDIR=%{qt3dir}
%{__perl} -pi -e 's|"/lib"|"/%{_lib}"|' admin/kde.py
%{_bindir}/scons configure
%{_bindir}/scons

%install
%{__rm} -rf %{buildroot}
%{_bindir}/scons install DESTDIR=%{buildroot}
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
%{_bindir}/desktop-file-install --vendor mandriva  \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category System                      \
        --add-category FileTools                   \
        %{name}.desktop

%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/48x48/apps
convert -resize 48x48 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png \
%{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%clean 
%{__rm} -rf %{buildroot}

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%files
%defattr(0644,root,root,0755) 
%doc AUTHORS ChangeLog COPYING INSTALL README THANKS TODO 
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_bindir}/%{name}-helper
%{_datadir}/applnk/System/%{name}.desktop
%{_datadir}/apps/%{name}
%{_datadir}/applications/*
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/locale/ru/LC_MESSAGES/kleansweep.mo
%{_datadir}/locale/uk/LC_MESSAGES/kleansweep.mo
%{_datadir}/locale/de/LC_MESSAGES/kleansweep.mo
%{_datadir}/locale/es/LC_MESSAGES/kleansweep.mo
%{_datadir}/locale/it/LC_MESSAGES/kleansweep.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/kleansweep.mo


%changelog
* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 0.2.9-4mdv2008.1
+ Revision: 107405
- rebuild
- use freedesktop menus
- remove old debian menu and icons
- use %%{qt3dir} macro

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Tue Nov 07 2006 David Walluck <walluck@mandriva.org> 0.2.9-3mdv2007.0
+ Revision: 77056
- set QTDIR
- BuildRequires: qt3-devel
- 0.2.9
- Import kleansweep

* Fri Aug 25 2006 David Walluck <walluck@mandriva.org> 0:0.2.8-4mdv2007.0
- fix stray quote in menu

* Fri Aug 25 2006 David Walluck <walluck@mandriva.org> 0:0.2.8-3mdv2007.0
- add xdg menu
- clean %%{buildroot} in %%install

* Fri May 26 2006 Giuseppe Ghib <ghibo@mandriva.org> 0.2.8-2mdk
- Don't set QTDIR (needed for building under X86-64).

* Fri May 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.8-1mdk
- New release 0.2.8

* Mon Mar 20 2006 Lenny Cartier <lenny@mandriva.com> 0:0.2.7-1mdk
- 0.2.7

* Thu Mar 02 2006 David Walluck <walluck@mandriva.org> 0:0.2.6-1mdk
- 0.2.6

* Mon Feb 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.5-1mdk
- New release 0.2.5

* Thu Jan 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0:0.2.4-1mdk
- New release 0.2.4

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-3mdk
- Remove redundant buildRequires

* Wed Dec 21 2005 David Walluck <walluck@mandriva.org> 0:0.2.3-2mdk
- fix build on x86_64

* Mon Dec 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Sun Dec 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.2-1mdk
- New release 0.2.2

* Tue Nov 15 2005 Lenny Cartier <lenny@mandriva.com> 0:0.2.1-1mdk
- 0.2.1

* Tue Nov 01 2005 David Walluck <walluck@mandriva.org> 0:0.2.0-1mdk
- release

